var posX = 0;
var posY = 13;
var sizeX = 20;
var sizeY = 5;
var posX_c = 1.6;
var posY_c = 11.5;
var rad = 5;
var zone = 0;

static var p1score = 0;
static var p2score = 0;
static var p1score_r = 0;
static var p2score_r = 0;
static var zoneReportNum = 0;
static var numZones = 2;
static var validScore = 0;

static var degToRad = Mathf.PI / 180;

var p1cubes;
var p2cubes;

function Start () {
	if(zone == 0) {
		transform.position.x = posX;
		transform.position.y = posY;
		transform.localScale.x = sizeX;
		transform.localScale.y = sizeY;
	}
	else if(zone == 1) {
		transform.position.x = posX_c;
		transform.position.y = posY_c;
		transform.localScale.x = rad*2;
		transform.localScale.z = rad*2;
	}
}

function Update () {
	p1cubes = GameObject.FindGameObjectsWithTag("P1");
	p2cubes = GameObject.FindGameObjectsWithTag("P2");
	
	if(zone == 0) {
		RectCheck();
	}
	else if(zone == 1) {
		CircCheck();
	}
	
}

function CircCheck() {
	var p1scoretemp = 0;
	var p2scoretemp = 0;	
	
	for(var cube in p1cubes) {
		if(Mathf.Sqrt(Mathf.Pow(cube.transform.position.x - posX_c, 2) + Mathf.Pow(cube.transform.position.y - posY_c, 2)) < rad){
			p1scoretemp += 1;
		}
	}
	
	for(var cube in p2cubes) {
		if(Mathf.Sqrt(Mathf.Pow(cube.transform.position.x - posX_c, 2) + Mathf.Pow(cube.transform.position.y - posY_c, 2)) < rad){
			p2scoretemp += 1;
		}
	}
	
	//Debug.Log(ScoreZoneScript.p1scorete);
	
	if(zoneReportNum == 0) {
		p1score = 0;
		p2score = 0;
		validScore = 0;
	}
	
	p1score = p1scoretemp;
	p2score = p2scoretemp;
	
	
	zoneReportNum++;
	
	if(zoneReportNum == numZones) {
		validScore = 1;
		zoneReportNum = 0;
	}
}

function RectCheck() {
	var p1scoretemp = 0;
	var p2scoretemp = 0;	
	
	for(var cube in p1cubes) {
		if(cube.transform.position.x < posX + sizeX / 2 && cube.transform.position.x > posX - sizeX / 2 && cube.transform.position.y < posY + sizeY / 2 && cube.transform.position.y > posY - sizeY / 2){
			p1scoretemp += 1;
		}
	}
	
	for(var cube in p2cubes) {
		if(cube.transform.position.x < posX + sizeX / 2 && cube.transform.position.x > posX - sizeX / 2 && cube.transform.position.y < posY + sizeY / 2 && cube.transform.position.y > posY - sizeY / 2){
			p2scoretemp += 1;
		}
	}
	
	if(zoneReportNum == 0) {
		p1score = 0;
		p2score = 0;
		validScore = 0;
	}
	
	p1score_r = p1scoretemp;
	p2score_r = p2scoretemp;
	
	Debug.Log(p1score);
	
	zoneReportNum++;
	
	if(zoneReportNum == numZones) {
		validScore = 1;
		zoneReportNum = 0;
	}
}